<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_28c85ce81fee6532980262893" . "b6f2425" => base64_decode("dXNlcm5h" . "bWU="), "use" . "r_i" . "d" => base64_decode("dXNlcl9p" . "ZA=="), "_8cca4dd34e20c534" . "4bb2a30f2533c4e5" => base64_decode("ZnVsbF9uYW1" . "l"));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["user_" . "id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_8cca4dd34e20c5344bb2a30f2533c4e" . "5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_28c85ce81fee6532980" . "262893b6f2425"]);
    }
}